This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 118364 - Leaked references warnings from nautilus
Leaked references warnings from nautilus
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: nautilus (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Alexander Larsson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-03-15 18:22 EST by Michal Jaegermann
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-04 10:57:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Jaegermann 2004-03-15 18:22:49 EST
Description of problem:

Running nautilus from explicitely from a command line prompt
results in the following warnings:

(nautilus:3294): Bonobo-CRITICAL **: file bonobo-control-frame.c: line
720 (bonobo_control_frame_set_ui_container): assertion
`frame->priv->activated == FALSE' failed
 
(nautilus:3294): Bonobo-WARNING **: Leaked a total of 2 refs to 2
bonobo object(s)

and after 'nautilus --browser' and a bit of mousing around one
gets:

(nautilus:3679): Bonobo-CRITICAL **: file bonobo-control-frame.c: line
720 (bonobo_control_frame_set_ui_container): assertion
`frame->priv->activated == FALSE' failed
 
--- Hash table keys for warning below:
--> computer:///
--> preferences:///
--> network:///
--> file:///home
--> file:///
 
(nautilus:3679): Eel-WARNING **: "nautilus-metafile.c: metafiles" hash
table still has 5 elements at quit time (keys above)
 
(nautilus:3679): Bonobo-WARNING **: Leaked a total of 8 refs to 8
bonobo object(s)

Version-Release number of selected component (if applicable):
nautilus-2.5.90-1

How reproducible:
withot any trouble :-)
Comment 1 Alexander Larsson 2004-10-04 10:56:58 EDT
Thanks for the bug report. This particular bug has already been reported
to the author of the software, and the Fedora developers don't plan to
work
on it at the moment. You can help out by adding any helpful additional 
information you have to the upstream bug report at:
http://bugzilla.gnome.org/show_bug.cgi?id=80748

If you want to follow what happens to the bug, you can add yourself to
the upstream report.

Note You need to log in before you can comment on or make changes to this bug.